package ink.wgink.exceptions.websocket;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: UserErrorException
 * @Description: 用户错误异常
 * @Author: wanggeng
 * @Date: 2021/1/14 12:51 下午
 * @Version: 1.0
 */
public class UserException extends BaseSocketException {

    public UserException() {
    }

    public UserException(String message) {
        super(message);
    }

    public UserException(String message, Throwable cause) {
        super(message, cause);
    }

    public UserException(Throwable cause) {
        super(cause);
    }

    public UserException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
